Skip to main content
GET
/
stage3
/
development-projects
/
{projectId}
Get Stage 3 firm grid Development Project archive
curl --request GET \
  --url https://ltds.{licenceArea}.example.com/grid-modelling/stage3/development-projects/{projectId}
import requests

url = "https://ltds.{licenceArea}.example.com/grid-modelling/stage3/development-projects/{projectId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ltds.{licenceArea}.example.com/grid-modelling/stage3/development-projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "EQ.xml": {
    "header": {
      "mRID": "39132026-9039-4a3f-9961-71F5529CEAA1",
      "created": "2026-05-01T10:35:00.000Z",
      "scenarioTime": "2028-03-01T00:00:00.000Z",
      "modelingAuthoritySet": "EPN",
      "profile": [
        "http://iec.ch/TC57/ns/CIM/CoreEquipment-EU/3.0"
      ],
      "description": "New 132kV substation and feeder additions – Project PROJ-NE-2026A",
      "version": "1.0",
      "dependentOn": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    },
    "forwardDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ],
    "reverseDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ]
  },
  "SC.xml": {
    "header": {
      "mRID": "39132026-9039-4a3f-9961-71F5529CEAA1",
      "created": "2026-05-01T10:35:00.000Z",
      "scenarioTime": "2028-03-01T00:00:00.000Z",
      "modelingAuthoritySet": "EPN",
      "profile": [
        "http://iec.ch/TC57/ns/CIM/CoreEquipment-EU/3.0"
      ],
      "description": "New 132kV substation and feeder additions – Project PROJ-NE-2026A",
      "version": "1.0",
      "dependentOn": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    },
    "forwardDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ],
    "reverseDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ]
  },
  "GL.xml": {
    "header": {
      "mRID": "39132026-9039-4a3f-9961-71F5529CEAA1",
      "created": "2026-05-01T10:35:00.000Z",
      "scenarioTime": "2028-03-01T00:00:00.000Z",
      "modelingAuthoritySet": "EPN",
      "profile": [
        "http://iec.ch/TC57/ns/CIM/CoreEquipment-EU/3.0"
      ],
      "description": "New 132kV substation and feeder additions – Project PROJ-NE-2026A",
      "version": "1.0",
      "dependentOn": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    },
    "forwardDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ],
    "reverseDifferences": [
      {
        "mRID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "type": "cim:ACLineSegment",
        "name": "LINE-132-ALPHA-BETA",
        "description": "<string>",
        "attributes": {
          "cim:ACLineSegment.r": 0.1,
          "cim:ACLineSegment.x": 0.4,
          "cim:ACLineSegment.bch": 0,
          "gb:ACLineSegment.ratedU": 132000
        },
        "associations": {
          "cim:ConductingEquipment.BaseVoltage": "d9e8f7c6-b5a4-3210-fedc-ba9876543210"
        }
      }
    ]
  }
}
{
"code": 404,
"message": "Publication not found for the specified licence area, year and period."
}
{
"code": 404,
"message": "Publication not found for the specified licence area, year and period."
}

Path Parameters

projectId
string
required

Unique project identifier (max 24 characters, persists across cycles)

Maximum string length: 24
Example:

"PROJ-NE-SUBSTATION-2026A"

Query Parameters

publicationYear
integer
required

4-digit calendar year of the LTDS publication

Example:

2026

period
enum<string>
required

2-digit publication cycle number within the year. 01 = May publication cycle; 02 = November publication cycle.

Available options:
01,
02
Example:

"01"

version
integer
default:1

Version number of the .zip file. Starts at 1 for the initial publication; incremented by 1 for each correction within the cycle. Independent of md:Model.version inside the CIM XML files.

Required range: x >= 1
Example:

1

Response

Zip archive containing EQ, SC and GL CIM XML Difference Models

Zip archive for a firm grid Development Project. Contains three CIM XML Difference Model files.

EQ.xml
object
required

A CIM XML Difference Model file serialised as RDF/XML (IEC 61970-552). Describes grid changes as additions (forwardDifferences) and deletions (reverseDifferences) against a base Full Model. RDF namespaces used: - md: http://iec.ch/TC57/61970-552/ModelDescription/1# - dm: http://iec.ch/TC57/61970-552/DifferenceModel/1# - cim: http://iec.ch/TC57/CIM100# - eu: http://iec.ch/TC57/CIM100-European# - gb: http://ofgem.gov.uk/ns/CIM/LTDS/Extensions# - rdf: http://www.w3.org/1999/02/22-rdf-syntax-ns#

SC.xml
object
required

A CIM XML Difference Model file serialised as RDF/XML (IEC 61970-552). Describes grid changes as additions (forwardDifferences) and deletions (reverseDifferences) against a base Full Model. RDF namespaces used: - md: http://iec.ch/TC57/61970-552/ModelDescription/1# - dm: http://iec.ch/TC57/61970-552/DifferenceModel/1# - cim: http://iec.ch/TC57/CIM100# - eu: http://iec.ch/TC57/CIM100-European# - gb: http://ofgem.gov.uk/ns/CIM/LTDS/Extensions# - rdf: http://www.w3.org/1999/02/22-rdf-syntax-ns#

GL.xml
object
required

A CIM XML Difference Model file serialised as RDF/XML (IEC 61970-552). Describes grid changes as additions (forwardDifferences) and deletions (reverseDifferences) against a base Full Model. RDF namespaces used: - md: http://iec.ch/TC57/61970-552/ModelDescription/1# - dm: http://iec.ch/TC57/61970-552/DifferenceModel/1# - cim: http://iec.ch/TC57/CIM100# - eu: http://iec.ch/TC57/CIM100-European# - gb: http://ofgem.gov.uk/ns/CIM/LTDS/Extensions# - rdf: http://www.w3.org/1999/02/22-rdf-syntax-ns#

Last modified on April 15, 2026